Index: trunk/data/umn/alkis06/alkis06_muster_4.map
===================================================================
--- trunk/data/umn/alkis06/alkis06_muster_4.map	(revision 160)
+++ trunk/data/umn/alkis06/alkis06_muster_4.map	(revision 170)
@@ -55,4 +55,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT gml_id, nutz_id, class, wkb_geometry FROM nutzung) as foo using unique gml_id using SRID=25832"
@@ -349,4 +350,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_wohnbauflaeche) as foo using unique ogc_fid using SRID=25832"
@@ -381,4 +383,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_industrieundgewerbeflaeche) as foo using unique ogc_fid using SRID=25832"
@@ -413,4 +416,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry  FROM ax_halde) as foo using unique ogc_fid using SRID=25832"
@@ -443,4 +447,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_bergbaubetrieb) as foo using unique ogc_fid using SRID=25832"
@@ -472,4 +477,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_tagebaugrubesteinbruch) as foo using unique ogc_fid using SRID=25832"
@@ -502,4 +508,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_flaechegemischternutzung) as foo using unique ogc_fid using SRID=25832"
@@ -534,4 +541,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_flaechebesondererfunktionalerpraegung) as foo using unique ogc_fid using SRID=25832"
@@ -564,4 +572,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_sportfreizeitunderholungsflaeche) as foo using unique ogc_fid using SRID=25832"
@@ -595,4 +604,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_friedhof) as foo using unique ogc_fid using SRID=25832"
@@ -629,4 +639,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_strassenverkehr) as foo using unique ogc_fid using SRID=25832"
@@ -692,4 +703,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_weg) as foo using unique ogc_fid using SRID=25832"
@@ -722,4 +734,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_platz) as foo using unique ogc_fid using SRID=25832"
@@ -760,4 +773,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_bahnverkehr) as foo using unique ogc_fid using SRID=25832"
@@ -791,4 +805,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_flugverkehr) as foo using unique ogc_fid using SRID=25832"
@@ -822,4 +837,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_schiffsverkehr) as foo using unique ogc_fid using SRID=25832"
@@ -855,4 +871,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, vegetationsmerkmal, wkb_geometry FROM ax_landwirtschaft) as foo using unique ogc_fid using SRID=25832"
@@ -904,4 +921,5 @@
 	TYPE POLYGON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_wald) as foo using unique ogc_fid using SRID=25832"
@@ -932,4 +950,5 @@
 	TYPE POLYGON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_gehoelz) as foo using unique ogc_fid using SRID=25832"
@@ -960,4 +979,5 @@
 	TYPE POLYGON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_heide) as foo using unique ogc_fid using SRID=25832"
@@ -988,4 +1008,5 @@
 	TYPE POLYGON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_moor) as foo using unique ogc_fid using SRID=25832"
@@ -1016,4 +1037,5 @@
 	TYPE POLYGON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_sumpf) as foo using unique ogc_fid using SRID=25832"
@@ -1047,4 +1069,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_unlandvegetationsloseflaeche) as foo using unique ogc_fid using SRID=25832"
@@ -1076,4 +1099,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_vegetationsmerkmal) as foo using unique ogc_fid using SRID=25832"
@@ -1107,4 +1131,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_fliessgewaesser) as foo using unique ogc_fid using SRID=25832"
@@ -1136,4 +1161,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_hafenbecken) as foo using unique ogc_fid using SRID=25832"
@@ -1165,4 +1191,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_stehendesgewaesser) as foo using unique ogc_fid using SRID=25832"
@@ -1199,4 +1226,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_untergeordnetesgewaesser) as foo using unique ogc_fid using SRID=25832"
@@ -1233,4 +1261,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_untergeordnetesgewaesser) as foo using unique ogc_fid using SRID=25832"
@@ -1267,4 +1296,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, artderfestlegung, wkb_geometry FROM ax_klassifizierungnachstrassenrecht) as foo using unique ogc_fid using SRID=25832"
@@ -1312,4 +1342,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry  FROM ax_naturumweltoderbodenschutzrecht) as foo using unique ogc_fid using SRID=25832"
@@ -1342,4 +1373,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry  FROM ax_anderefestlegungnachwasserrecht) as foo using unique ogc_fid using SRID=25832"
@@ -1377,4 +1409,5 @@
 	TYPE POLYGON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, gml_id, artderfestlegung, wkb_geometry FROM ax_bauraumoderbodenordnungsrecht) as foo using unique ogc_fid using SRID=25832"
@@ -1480,4 +1513,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_denkmalschutzrecht) as foo using unique ogc_fid using SRID=25832"
@@ -1509,4 +1543,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, artderfestlegung, wkb_geometry FROM ax_sonstigesrecht) as foo using unique ogc_fid using SRID=25832"
@@ -1542,4 +1577,5 @@
 	TYPE POLYGON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, gebaeudefunktion, lagezurerdoberflaeche, hochhaus, zustand, ax_datenerhebung, wkb_geometry FROM ax_gebaeude) as foo using unique ogc_fid using SRID=25832"
@@ -1881,4 +1917,5 @@
 	TYPE POLYGON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, gebaeudefunktion, lagezurerdoberflaeche, hochhaus, zustand, ax_datenerhebung, wkb_geometry FROM ax_gebaeude) as foo using unique ogc_fid using SRID=25832"
@@ -2005,4 +2042,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauart, lagezurerdoberflaeche, wkb_geometry FROM ax_bauteil) as foo using unique ogc_fid using SRID=25832"
@@ -2069,4 +2107,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, beschaffenheit, wkb_geometry FROM ax_besonderegebaeudelinie) as foo using unique ogc_fid using SRID=25832"
@@ -2104,4 +2143,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid,wkb_geometry,drehwinkel,hausnummer FROM s_hausnummer_gebaeude) as foo using unique ogc_fid using SRID=25832"
@@ -2154,4 +2194,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid,wkb_geometry,drehwinkel,laufendenummer FROM s_nummer_nebengebaeude) as foo using unique ogc_fid using SRID=25832" # View
@@ -2205,4 +2246,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid,wkb_geometry FROM s_zuordungspfeil_gebaeude) as foo using unique ogc_fid using SRID=25832" # View gespeichert
@@ -2238,4 +2280,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_bauwerkimverkehrsbereich) as foo using unique ogc_fid using SRID=25832"
@@ -2270,4 +2313,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_bauwerkimverkehrsbereich) as foo using unique ogc_fid using SRID=25832"
@@ -2300,4 +2344,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_bauwerkimgewaesserbereich) as foo using unique ogc_fid using SRID=25832"
@@ -2330,4 +2375,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_bauwerkoderanlagefuerindustrieundgewerbe) as foo using unique ogc_fid using SRID=25832"
@@ -2371,4 +2417,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_bauwerkoderanlagefuersportfreizeitunderholung) as foo using unique ogc_fid using SRID=25832"
@@ -2401,4 +2448,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_vorratsbehaelterspeicherbauwerk) as foo using unique ogc_fid using SRID=25832"
@@ -2430,4 +2478,5 @@
 	TYPE POLYGON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_sonstigesbauwerkodersonstigeeinrichtung) as foo using unique ogc_fid using SRID=25832"
@@ -2470,4 +2519,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, spannungsebene, wkb_geometry FROM ax_leitung) as foo using unique ogc_fid using SRID=25832"
@@ -2510,4 +2560,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, lagezurerdoberflaeche, wkb_geometry  FROM ax_transportanlage) as foo using unique ogc_fid using SRID=25832"
@@ -2555,4 +2606,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_turm) as foo using unique ogc_fid using SRID=25832"
@@ -2589,4 +2641,5 @@
 	TYPE POLYGON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, gml_id, wkb_geometry FROM ax_flurstueck) as foo using unique ogc_fid using SRID=25832"
@@ -2621,4 +2674,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, artderflurstuecksgrenze, wkb_geometry FROM ax_besondereflurstuecksgrenze) as foo using unique ogc_fid using SRID=25832"
@@ -2752,4 +2806,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT * FROM s_flurstueck_nr) as foo using unique ogc_fid using SRID=25832"
@@ -2805,4 +2860,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid,wkb_geometry FROM s_zuordungspfeil_flurstueck) as foo using unique ogc_fid using SRID=25832" # View gespeichert
@@ -2838,4 +2894,5 @@
 	STATUS ON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT * FROM s_zuordungspfeilspitze_flurstueck) as foo using unique ogc_fid using SRID=25832" # View berechnet Winkel
@@ -2876,4 +2933,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid,wkb_geometry,drehwinkel FROM s_zugehoerigkeitshaken_flurstueck) as foo using unique ogc_fid using SRID=25832"
@@ -2917,4 +2975,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_grablochderbodenschaetzung) as foo using unique ogc_fid using SRID=25832"
@@ -2949,4 +3008,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_musterlandesmusterundvergleichsstueck) as foo using unique ogc_fid using SRID=25832"
@@ -2982,4 +3042,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_punktortta) as foo using unique ogc_fid using SRID=25832"
@@ -3015,4 +3076,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_punktortag) as foo using unique ogc_fid using SRID=25832"
@@ -3045,4 +3107,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_punktortau) as foo using unique ogc_fid using SRID=25832"
@@ -3084,4 +3147,5 @@
 	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	
@@ -3133,4 +3197,5 @@
 	TYPE LINE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid,wkb_geometry,art FROM ap_lpo) as foo using unique ogc_fid using SRID=25832"
@@ -3191,4 +3256,5 @@
 	#SYMBOLSCALEDENOM 1000
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA 'wkb_geometry from (SELECT * FROM sk201x_politische_grenze) as foo using unique ogc_fid using SRID=25832'
@@ -3271,4 +3337,5 @@
 	SYMBOLSCALEDENOM 250 # 1000
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA 'wkb_geometry from (SELECT * FROM sk2014_gemarkungsgrenze) as foo using unique ogc_fid using SRID=25832'
@@ -3307,4 +3374,5 @@
 	SYMBOLSCALEDENOM 250 #1000
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
 	DATA 'wkb_geometry from (SELECT * FROM sk2012_flurgrenze) as foo using unique ogc_fid using SRID=25832'