Index: trunk/data/umn/alkis07/alkis07_muster.map
===================================================================
--- trunk/data/umn/alkis07/alkis07_muster.map	(revision 163)
+++ trunk/data/umn/alkis07/alkis07_muster.map	(revision 171)
@@ -5,4 +5,5 @@
 # 2012-02-09 F.J. krz  Branch 0.7 aus Version 0.6
 # 2012-02-17 F.J. krz  data dbname=alkis07, Layer-Group pp_gebiete
+# 2012-03-05 A.E. WG   PROCESSING "CLOSE_CONNECTION=DEFER" eingefÃŒgt siehe auch http://mapserver.org/mapfile/layer.html
 
 # ToDo:
@@ -75,4 +76,5 @@
 	DUMP true
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "simple_geom from (SELECT gid, gemeindename, simple_geom FROM pp_gemeinde) as foo using unique gid using SRID=25832"
@@ -118,4 +120,5 @@
 	DUMP true
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "simple_geom from (SELECT gid, gemarkungsname, simple_geom FROM pp_gemarkung) as foo using unique gid using SRID=25832"
@@ -159,4 +162,5 @@
 	DUMP true
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "the_geom from (SELECT gid, gemarkung, flurnummer, the_geom FROM pp_flur) as foo using unique gid using SRID=25832"
@@ -250,4 +254,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT gml_id, nutz_id, class, wkb_geometry FROM nutzung) as foo using unique gml_id using SRID=25832"
@@ -657,4 +662,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_wohnbauflaeche) as foo using unique ogc_fid using SRID=25832"
@@ -689,4 +695,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_industrieundgewerbeflaeche) as foo using unique ogc_fid using SRID=25832"
@@ -721,4 +728,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry  FROM ax_halde) as foo using unique ogc_fid using SRID=25832"
@@ -751,4 +759,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_bergbaubetrieb) as foo using unique ogc_fid using SRID=25832"
@@ -780,4 +789,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_tagebaugrubesteinbruch) as foo using unique ogc_fid using SRID=25832"
@@ -810,4 +820,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_flaechegemischternutzung) as foo using unique ogc_fid using SRID=25832"
@@ -842,4 +853,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_flaechebesondererfunktionalerpraegung) as foo using unique ogc_fid using SRID=25832"
@@ -872,4 +884,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_sportfreizeitunderholungsflaeche) as foo using unique ogc_fid using SRID=25832"
@@ -903,4 +916,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_friedhof) as foo using unique ogc_fid using SRID=25832"
@@ -937,4 +951,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_strassenverkehr) as foo using unique ogc_fid using SRID=25832"
@@ -1000,4 +1015,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_weg) as foo using unique ogc_fid using SRID=25832"
@@ -1030,4 +1046,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_platz) as foo using unique ogc_fid using SRID=25832"
@@ -1068,4 +1085,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_bahnverkehr) as foo using unique ogc_fid using SRID=25832"
@@ -1099,4 +1117,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_flugverkehr) as foo using unique ogc_fid using SRID=25832"
@@ -1130,4 +1149,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_schiffsverkehr) as foo using unique ogc_fid using SRID=25832"
@@ -1163,4 +1183,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, vegetationsmerkmal, wkb_geometry FROM ax_landwirtschaft) as foo using unique ogc_fid using SRID=25832"
@@ -1213,4 +1234,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_wald) as foo using unique ogc_fid using SRID=25832"
@@ -1242,4 +1264,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_gehoelz) as foo using unique ogc_fid using SRID=25832"
@@ -1271,4 +1294,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_heide) as foo using unique ogc_fid using SRID=25832"
@@ -1300,4 +1324,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_moor) as foo using unique ogc_fid using SRID=25832"
@@ -1329,4 +1354,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_sumpf) as foo using unique ogc_fid using SRID=25832"
@@ -1360,4 +1386,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_unlandvegetationsloseflaeche) as foo using unique ogc_fid using SRID=25832"
@@ -1389,4 +1416,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_vegetationsmerkmal) as foo using unique ogc_fid using SRID=25832"
@@ -1420,4 +1448,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_fliessgewaesser) as foo using unique ogc_fid using SRID=25832"
@@ -1449,4 +1478,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_hafenbecken) as foo using unique ogc_fid using SRID=25832"
@@ -1478,4 +1508,5 @@
 	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_stehendesgewaesser) as foo using unique ogc_fid using SRID=25832"
@@ -1514,4 +1545,5 @@
 	# REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_untergeordnetesgewaesser) as foo using unique ogc_fid using SRID=25832"
@@ -1547,4 +1579,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_untergeordnetesgewaesser) as foo using unique ogc_fid using SRID=25832"
@@ -1582,4 +1615,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, artderfestlegung, wkb_geometry FROM ax_klassifizierungnachstrassenrecht) as foo using unique ogc_fid using SRID=25832"
@@ -1627,4 +1661,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry  FROM ax_naturumweltoderbodenschutzrecht) as foo using unique ogc_fid using SRID=25832"
@@ -1660,4 +1695,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry  FROM ax_anderefestlegungnachwasserrecht) as foo using unique ogc_fid using SRID=25832"
@@ -1696,4 +1732,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 
@@ -1931,4 +1968,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_denkmalschutzrecht) as foo using unique ogc_fid using SRID=25832"
@@ -1960,4 +1998,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, artderfestlegung, wkb_geometry FROM ax_sonstigesrecht) as foo using unique ogc_fid using SRID=25832"
@@ -2003,4 +2042,5 @@
 	TYPE POLYGON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, gebaeudefunktion, lagezurerdoberflaeche, hochhaus, zustand, ax_datenerhebung, wkb_geometry FROM ax_gebaeude) as foo using unique ogc_fid using SRID=25832"
@@ -2361,4 +2401,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, gebaeudefunktion, lagezurerdoberflaeche, hochhaus, zustand, ax_datenerhebung, wkb_geometry FROM ax_gebaeude) as foo using unique ogc_fid using SRID=25832"
@@ -2522,4 +2563,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauart, lagezurerdoberflaeche, wkb_geometry FROM ax_bauteil) as foo using unique ogc_fid using SRID=25832"
@@ -2590,4 +2632,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, beschaffenheit, wkb_geometry FROM ax_besonderegebaeudelinie) as foo using unique ogc_fid using SRID=25832"
@@ -2624,4 +2667,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid,wkb_geometry,drehwinkel,hausnummer FROM s_hausnummer_gebaeude) as foo using unique ogc_fid using SRID=25832"
@@ -2672,4 +2716,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry, drehwinkel, laufendenummer FROM s_nummer_nebengebaeude) as foo using unique ogc_fid using SRID=25832" # View
@@ -2723,4 +2768,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid,wkb_geometry FROM s_zuordungspfeil_gebaeude) as foo using unique ogc_fid using SRID=25832" # View gespeichert
@@ -2756,4 +2802,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_bauwerkimverkehrsbereich) as foo using unique ogc_fid using SRID=25832"
@@ -2788,4 +2835,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_bauwerkimverkehrsbereich) as foo using unique ogc_fid using SRID=25832"
@@ -2820,4 +2868,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_bauwerkimgewaesserbereich) as foo using unique ogc_fid using SRID=25832"
@@ -2850,4 +2899,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_bauwerkoderanlagefuerindustrieundgewerbe) as foo using unique ogc_fid using SRID=25832"
@@ -2891,4 +2941,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_bauwerkoderanlagefuersportfreizeitunderholung) as foo using unique ogc_fid using SRID=25832"
@@ -2921,4 +2972,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_vorratsbehaelterspeicherbauwerk) as foo using unique ogc_fid using SRID=25832"
@@ -2951,4 +3003,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_sonstigesbauwerkodersonstigeeinrichtung) as foo using unique ogc_fid using SRID=25832"
@@ -3023,4 +3076,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, spannungsebene, wkb_geometry FROM ax_leitung) as foo using unique ogc_fid using SRID=25832"
@@ -3063,4 +3117,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, lagezurerdoberflaeche, wkb_geometry  FROM ax_transportanlage) as foo using unique ogc_fid using SRID=25832"
@@ -3110,4 +3165,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, bauwerksfunktion, wkb_geometry FROM ax_turm) as foo using unique ogc_fid using SRID=25832"
@@ -3145,4 +3201,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	# mit Feldern fuer klassisches Template:
@@ -3190,4 +3247,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, artderflurstuecksgrenze, wkb_geometry FROM ax_besondereflurstuecksgrenze) as foo using unique ogc_fid using SRID=25832"
@@ -3330,4 +3388,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT * FROM s_flurstueck_nr) as foo using unique ogc_fid using SRID=25832"
@@ -3384,4 +3443,5 @@
 #	
 #	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 #	CONNECTION "host=localhost dbname=obk user=alkis"
 #	DATA "wkb_geometry from (SELECT * FROM alkis.obk_sk4111_flurstuecksnummer) as foo using unique ogc_fid using SRID=25832"
@@ -3450,4 +3510,5 @@
 #	DUMP TRUE
 #	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 #	CONNECTION "host=localhost dbname=obk user=alkis"
 #	DATA "wkb_geometry from (SELECT * FROM alkis.obk_sk4111_flurstuecksnummer) as foo using unique ogc_fid using SRID=25832"
@@ -3484,4 +3545,5 @@
 #	DUMP TRUE
 #	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 #	CONNECTION "host=localhost dbname=obk user=alkis"
 #	DATA "wkb_geometry from (SELECT * FROM alkis.obk_sk4111_flurstuecksnummer) as foo using unique ogc_fid using SRID=25832"
@@ -3524,4 +3586,5 @@
 	TYPE LINE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid,wkb_geometry FROM s_zuordungspfeil_flurstueck) as foo using unique ogc_fid using SRID=25832" # View gespeichert
@@ -3554,4 +3617,5 @@
 	STATUS ON
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT * FROM s_zuordungspfeilspitze_flurstueck) as foo using unique ogc_fid using SRID=25832" # View berechnet Winkel
@@ -3592,4 +3656,5 @@
 	TYPE POINT
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry, drehwinkel FROM s_zugehoerigkeitshaken_flurstueck) as foo using unique ogc_fid using SRID=25832"
@@ -3637,4 +3702,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_grablochderbodenschaetzung) as foo using unique ogc_fid using SRID=25832"
@@ -3669,4 +3735,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_musterlandesmusterundvergleichsstueck) as foo using unique ogc_fid using SRID=25832"
@@ -3702,4 +3769,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_punktortta) as foo using unique ogc_fid using SRID=25832"
@@ -3735,4 +3803,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_punktortag) as foo using unique ogc_fid using SRID=25832"
@@ -3765,4 +3834,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid, wkb_geometry FROM ax_punktortau) as foo using unique ogc_fid using SRID=25832"
@@ -3805,4 +3875,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 
@@ -3914,4 +3985,5 @@
 	DUMP TRUE
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA "wkb_geometry from (SELECT ogc_fid,wkb_geometry,art FROM ap_lpo) as foo using unique ogc_fid using SRID=25832"
@@ -3976,4 +4048,5 @@
 	#SYMBOLSCALEDENOM 1000
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA 'wkb_geometry from (SELECT * FROM sk201x_politische_grenze) as foo using unique ogc_fid using SRID=25832'
@@ -4056,4 +4129,5 @@
 	SYMBOLSCALEDENOM 1000
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA 'wkb_geometry from (SELECT * FROM sk2014_gemarkungsgrenze) as foo using unique ogc_fid using SRID=25832'
@@ -4092,4 +4166,5 @@
 	SYMBOLSCALEDENOM 1000
 	CONNECTIONTYPE POSTGIS
+	PROCESSING "CLOSE_CONNECTION=DEFER"
 	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
 	DATA 'wkb_geometry from (SELECT * FROM sk2012_flurgrenze) as foo using unique ogc_fid using SRID=25832'