Index: trunk/data/konvert/postnas_0.7/alkis_PostNAS_0.7_keytables.sql
===================================================================
--- trunk/data/konvert/postnas_0.7/alkis_PostNAS_0.7_keytables.sql	(revision 172)
+++ trunk/data/konvert/postnas_0.7/alkis_PostNAS_0.7_keytables.sql	(revision 173)
@@ -990,4 +990,66 @@
 
 
-
+-- ax_klassifizierungnachstrassenrecht_artdf
+-- -------------------------
+-- Datentyp:
+CREATE TABLE ax_klassifizierungnachstrassenrecht_artdf (
+wert integer, 
+bezeichner character varying,  
+kennung integer, objektart character varying);
+
+COMMENT ON TABLE ax_klassifizierungnachstrassenrecht_artdf
+IS 'artderfestlegung - SchlÃŒsseltabelle mit Werten aus GeoInfoDok NW, geladen mit SQL-Script.';
+
+INSERT INTO ax_klassifizierungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('Klassifizierung nach Bundes- oder LandesstraÃengesetz',1100);
+INSERT INTO ax_klassifizierungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('Bundesautobahn',1110);
+INSERT INTO ax_klassifizierungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('BundesstraÃe',1120);
+INSERT INTO ax_klassifizierungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('Landes- oder StaatsstraÃe',1130);
+INSERT INTO ax_klassifizierungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('KreisstraÃe',1140);
+INSERT INTO ax_klassifizierungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('GemeindestraÃe',1150);
+INSERT INTO ax_klassifizierungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('OrtsstraÃe',1160);
+INSERT INTO ax_klassifizierungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('GemeindeverbindungsstraÃe',1170);
+INSERT INTO ax_klassifizierungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('Sonstige Ã¶ffentliche StraÃe',1180);
+INSERT INTO ax_klassifizierungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('PrivatstraÃe',1190);
+
+
+-- ax_klassifizierungnachwasserrecht_artdf
+-- -------------------------
+-- Datentyp:
+CREATE TABLE ax_klassifizierungnachwasserrecht_artdf (
+wert integer, 
+bezeichner character varying,  
+kennung integer, objektart character varying);
+
+COMMENT ON TABLE ax_klassifizierungnachwasserrecht_artdf
+IS 'artderfestlegung - SchlÃŒsseltabelle mit Werten aus GeoInfoDok NW, geladen mit SQL-Script.';
+
+INSERT INTO ax_klassifizierungnachwasserrecht_artdf (bezeichner, wert) VALUES ('Klassifizierung nach Bundes- oder Landeswassergesetz',1300);
+INSERT INTO ax_klassifizierungnachwasserrecht_artdf (bezeichner, wert) VALUES ('GewÃ€sser I. Ordnung - BundeswasserstraÃe',1310);
+INSERT INTO ax_klassifizierungnachwasserrecht_artdf (bezeichner, wert) VALUES ('GewÃ€sser I. Ordnung - nach Landesrecht',1320);
+INSERT INTO ax_klassifizierungnachwasserrecht_artdf (bezeichner, wert) VALUES ('GewÃ€sser II. Ordnung',1330);
+INSERT INTO ax_klassifizierungnachwasserrecht_artdf (bezeichner, wert) VALUES ('GewÃ€sser III. Ordnung',1340);
+
+
+-- ax_anderefestlegungnachstrassenrecht_artdf
+-- -------------------------
+-- Datentyp:
+CREATE TABLE ax_anderefestlegungnachstrassenrecht_artdf (
+wert integer, 
+bezeichner character varying,  
+kennung integer, objektart character varying);
+
+COMMENT ON TABLE ax_anderefestlegungnachstrassenrecht_artdf
+IS 'artderfestlegung - SchlÃŒsseltabelle mit Werten aus GeoInfoDok NW, geladen mit SQL-Script.';
+
+INSERT INTO ax_anderefestlegungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('BundesfernstraÃengesetz',1210);
+INSERT INTO ax_anderefestlegungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('Anbauverbot',1220);
+INSERT INTO ax_anderefestlegungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('Anbauverbot nach BundesfernstraÃengesetz',1230);
+INSERT INTO ax_anderefestlegungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('Anbauverbot (40m)',1231);
+INSERT INTO ax_anderefestlegungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('Anbauverbot (20m)',1232);
+INSERT INTO ax_anderefestlegungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('AnbaubeschrÃ€nkung',1240);
+INSERT INTO ax_anderefestlegungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('AnbaubeschrÃ€nkung (100m)',1241);
+INSERT INTO ax_anderefestlegungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('AnbaubeschrÃ€nkung (40m)',1242);
+INSERT INTO ax_anderefestlegungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('VerÃ€nderungssperre nach BundesfernstraÃengesetz',1250);
+INSERT INTO ax_anderefestlegungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('LandesstraÃengesetz',1260);
+INSERT INTO ax_anderefestlegungnachstrassenrecht_artdf (bezeichner, wert) VALUES ('VerÃ€nderungssperre',1280);
 -- ENDE --