Index: trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/symbols/symbolsatkis_neu.sym
===================================================================
--- trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/symbols/symbolsatkis_neu.sym	(revision 177)
+++ trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/symbols/symbolsatkis_neu.sym	(revision 177)
@@ -0,0 +1,215 @@
+SYMBOLSET
+
+SYMBOL
+    NAME 'track' 
+    TYPE ellipse 
+    FILLED true 
+    POINTS
+        1 1 
+    END 
+END
+SYMBOL
+    NAME 'tie' 
+    TYPE Ellipse 
+    FILLED TRUE 
+    POINTS 1 1 END 
+    STYLE 1 3 END 
+
+END
+
+SYMBOL
+  NAME "friedhof"
+  TYPE truetype
+  FONT "wesseling"
+  GAP 2
+  CHARACTER "A"
+  ANTIALIAS true
+  #FILLED true
+END # SYMBOL
+
+
+
+SYMBOL
+  NAME "schutzhuette"
+  TYPE truetype
+  FONT "kartosymbols"
+  #GAP 2
+  CHARACTER "C"
+ # ANTIALIAS true
+  #FILLED true
+END # SYMBOL
+
+SYMBOL
+  NAME "strommast"
+  TYPE truetype
+  FONT "natural_resources"
+  #GAP 2
+  CHARACTER "_"
+ # ANTIALIAS true
+  #FILLED true
+END # SYMBOL
+
+SYMBOL
+  NAME "bergbau"
+  TYPE truetype
+  FONT "natural_resources"
+  GAP 4
+  CHARACTER "L"
+ # ANTIALIAS true
+  #FILLED true
+END # SYMBOL
+
+
+
+SYMBOL
+  NAME "laubwald"
+  TYPE truetype
+  FONT "zvaut-folie021"
+  GAP 3
+  CHARACTER "H"
+  ANTIALIAS true
+  #FILLED true
+END # SYMBOL
+
+SYMBOL
+  NAME "nadelwald"
+  TYPE truetype
+  FONT "zvaut-folie021"
+  GAP 3
+  CHARACTER "I"
+  ANTIALIAS true
+  #FILLED true
+END # SYMBOL
+
+SYMBOL
+  NAME "mischwald"
+  TYPE truetype
+  FONT "zvaut-folie021"
+  GAP 3
+  CHARACTER "R"
+  ANTIALIAS true
+END # SYMBOL
+
+SYMBOL
+  NAME "weingarten"
+  TYPE truetype
+  FONT "zvaut-folie021"
+  GAP 1
+  CHARACTER "7"
+  ANTIALIAS true
+  #FILLED true
+END # SYMBOL
+
+SYMBOL
+  NAME "obstplantage"
+  TYPE truetype
+  FONT "zvaut-folie021"
+  GAP 3
+  CHARACTER "M"
+  ANTIALIAS true
+  #FILLED true
+END # SYMBOL
+
+
+SYMBOL
+  NAME 'schraffur'
+  TYPE HATCH
+END
+
+SYMBOL
+  NAME 'punkt'
+  TYPE ELLIPSE
+  POINTS 1 1 END
+  FILLED true
+END
+
+SYMBOL
+  NAME 'quadrat'
+  TYPE VECTOR
+  POINTS 
+   0 0
+   0 1
+   1 1
+   1 0
+   0 0 
+  END
+  FILLED true
+END
+
+SYMBOL
+  NAME "grenze"
+  TYPE ellipse
+  POINTS 2 2 END
+  FILLED TRUE
+  #STYLE 2 2 2 2 END
+END
+
+SYMBOL
+  NAME 'windrad'
+  TYPE PIXMAP
+  IMAGE "windrad.gif"
+END
+
+SYMBOL
+  NAME 'baum'
+  TYPE PIXMAP
+  IMAGE "baum.gif"
+END
+
+SYMBOL
+  NAME 'turm'
+  TYPE PIXMAP
+  IMAGE "turm.gif"
+END
+
+SYMBOL
+  NAME 'denkmal'
+  TYPE PIXMAP
+  IMAGE "denkmal.gif"
+END
+
+SYMBOL
+  NAME 'felsen'
+  TYPE PIXMAP
+  IMAGE "felsen.gif"
+END
+
+
+
+#SYMBOL
+ # NAME 'gestrichelt'
+ # TYPE ELLIPSE
+ # POINTS 1 1 END
+ # STYLE
+  #  20 20 20 20
+ # END
+#END
+
+SYMBOL
+  NAME 'gestrichelt'
+  TYPE ELLIPSE
+  POINTS 1 1 END
+  STYLE
+    4 2 4 2
+  END
+END
+
+
+
+SYMBOL
+  NAME 'bahn'
+  TYPE VECTOR
+  POINTS
+    0 0
+    0 0.6
+    1 0.6
+    1 0
+    0 0
+  END
+  FILLED TRUE
+ # STYLE
+ #   8 12 8 12
+ # END
+END
+
+END
Index: trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/symbols/symbol_dlm.sym
===================================================================
--- trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/symbols/symbol_dlm.sym	(revision 177)
+++ trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/symbols/symbol_dlm.sym	(revision 177)
@@ -0,0 +1,86 @@
+SYMBOLSET
+SYMBOL
+ NAME "punkt"
+ TYPE ELLIPSE
+ POINTS
+  1 1
+ END
+ FILLED TRUE
+END
+
+
+
+
+
+SYMBOL
+ NAME "quadrat"
+ TYPE VECTOR
+ POINTS
+  0 0
+0 1
+1 1
+1 0
+0 0
+
+ END
+ FILLED false
+END
+ SYMBOL
+ NAME "quadratf"
+ TYPE VECTOR
+ POINTS
+  0 0
+0 1
+1 1
+1 0
+0 0
+
+ END
+ FILLED true
+END
+SYMBOL
+ NAME "kreis"
+ TYPE ELLIPSE
+ POINTS
+  1 1
+ END
+ FILLED false
+END
+
+SYMBOL
+ NAME "linie-gestr4"
+ TYPE ELLIPSE
+ POINTS
+  1 1
+ END
+ STYLE
+  10 10 10
+ END
+END 
+SYMBOL
+ NAME "dreieck"
+ TYPE VECTOR
+POINTS
+#0 1
+ # 0 0
+#  1 0
+ # 1 1
+ # 0 1
+
+#-0.25  0# 1
+# 1.25 0# .5 0
+# 0.5 1.25# 1 1
+# -0.25  0# 1
+0 1.5
+1.73 1.5
+0.866 0
+0 1.5
+
+#0 0
+#1 0#.5
+#0.5 1#0 1
+#0 0
+END
+#FILLED FALSE
+END
+END
Index: trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/symbols/symbolsatkis.sym
===================================================================
--- trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/symbols/symbolsatkis.sym	(revision 177)
+++ trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/symbols/symbolsatkis.sym	(revision 177)
@@ -0,0 +1,73 @@
+SYMBOLSET
+SYMBOL
+  NAME 'schraffur'
+  TYPE HATCH
+END
+
+SYMBOL
+  NAME 'punkt'
+  TYPE ELLIPSE
+  POINTS 1 1 END
+  FILLED true
+END
+
+SYMBOL
+  NAME 'quadrat'
+  TYPE VECTOR
+  POINTS 
+   0 0
+   0 1
+   1 1
+   1 0
+   0 0 
+  END
+  FILLED true
+END
+
+SYMBOL
+  NAME "grenze"
+  TYPE ellipse
+  POINTS 2 2 END
+  FILLED TRUE
+  STYLE 2 2 2 2 END
+END
+
+SYMBOL
+  NAME 'windrad'
+  TYPE PIXMAP
+  IMAGE "windrad.gif"
+END
+
+SYMBOL
+  NAME 'baum'
+  TYPE PIXMAP
+  IMAGE "baum.gif"
+END
+
+SYMBOL
+  NAME 'turm'
+  TYPE PIXMAP
+  IMAGE "turm.gif"
+END
+
+SYMBOL
+  NAME 'denkmal'
+  TYPE PIXMAP
+  IMAGE "denkmal.gif"
+END
+
+SYMBOL
+  NAME 'felsen'
+  TYPE PIXMAP
+  IMAGE "felsen.gif"
+END
+
+SYMBOL
+  NAME 'gestrichelt'
+  TYPE ELLIPSE
+  POINTS 1 1 END
+  STYLE
+    20 20 20 20
+  END
+END
+END
Index: trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/symbols/symbols.sym
===================================================================
--- trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/symbols/symbols.sym	(revision 177)
+++ trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/symbols/symbols.sym	(revision 177)
@@ -0,0 +1,136 @@
+SYMBOLSET
+Symbol
+Name 'tent'
+Type VECTOR
+Filled TRUE
+Points
+0 1
+.5 0
+1 1
+.75 1
+.5 .5
+.25 1
+0 1
+END
+END 
+
+SYMBOL
+  NAME 'target'
+    TYPE PIXMAP
+      IMAGE "target_small.png"
+      END
+
+
+
+
+
+Symbol
+Name 'star'
+Type VECTOR
+Filled TRUE
+Points
+0 .375
+.35 .375
+.5 0
+.65 .375
+1 .375
+.75 .625
+.875 1
+.5 .75
+.125 1
+.25 .625
+END
+END 
+
+Symbol
+Name 'triangle'
+Type VECTOR
+Filled TRUE
+Points
+0 1
+.5 0
+1 1
+0 1
+END
+END 
+
+Symbol
+Name 'square'
+Type VECTOR
+Filled TRUE
+Points
+0 1
+0 0
+1 0
+1 1
+0 1
+END
+END 
+
+Symbol
+Name 'plus'
+Type VECTOR
+Points
+.5 0
+.5 1
+-99 -99
+0 .5
+1 .5
+END
+END 
+
+Symbol
+Name 'cross'
+Type VECTOR
+Points
+0 0
+1 1
+-99 -99
+0 1
+1 0
+END
+END
+
+Symbol
+Name 'circle'
+Type ELLIPSE
+Filled TRUE
+Points
+1 1
+END
+END 
+
+
+
+Symbol
+  Name 'circle'
+  Type ELLIPSE
+  Filled TRUE
+  Points
+    1 1
+  END
+END 
+
+Symbol
+  Name 'square'
+  Type VECTOR
+  Filled TRUE
+  Points
+      0 1
+      0 0
+      1 0
+      1 1
+      0 1
+  END
+END 
+
+Symbol
+  Name 'gestrichelt'
+  Type ELLIPSE
+  Filled TRUE
+  Points
+    1 1
+  END
+  STYLE 6 10 END
+END 
+END
Index: trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/fonts/fonts.list
===================================================================
--- trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/fonts/fonts.list	(revision 177)
+++ trunk/data/konvert/postnas_0.6/atkis_rp_rendering/rendering/fonts/fonts.list	(revision 177)
@@ -0,0 +1,16 @@
+arial arial.ttf
+arialbold arialbd.ttf
+arialitalic ariali.ttf
+arialnarrow Arialn.ttf
+tahoma tahoma.ttf
+tahomabold tahomabd.ttf
+times times.ttf
+timesbold timesbd.ttf 
+verdana verdana.ttf
+Wesseling wesseling.ttf
+zvaut-folie021 zvaut-folie021.ttf
+zvaut-folie082 zvaut-folie082.ttf
+kartosymbols kartosymbols.ttf
+natural_resources natural_resources.ttf
+cartographic cartographic.ttf
+