Index: trunk/data/mapbender/http/nav/alkisnav_adr.php
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_adr.php	(revision 154)
+++ trunk/data/mapbender/http/nav/alkisnav_adr.php	(revision 187)
@@ -5,4 +5,5 @@
 	24.10.2011 Nach Pos-Klick Highlight erneuern statt hideHighlight
 	09.12.2011 Sonderfall PostNAS 0.5 raus,
+    3.12.2012 Ausgabe von Hausnr ohne Gebaeude
 
 	ToDo:
@@ -167,5 +168,5 @@
 function suchHausZurStr($showParent){
 	// Haeuser zu einer Strasse
-	global $con, $str_schl, $gkz, $scalestr, $scalehs, $epsg, $gemeinde, $epsg, $gfilter, $debug;
+	global $con, $str_schl, $gkz, $scalestr, $scalehs, $epsg, $gemeinde, $epsg, $gfilter, $hausnummernohnegebaeude, $debug;
 	// Strasse zum Strassenschluessel
 	$sql ="SELECT g.bezeichnung AS gemname, k.bezeichnung, k.land, k.regierungsbezirk, k.kreis, k.gemeinde, k.lage ";
@@ -267,5 +268,5 @@
 			if($count == 0){echo "\n<tr>";}
 			$gml=$rowh["gml_id"];			
-			$nr=$rowh["hsnr"];			
+			$hsnr=$rowh["hsnr"];			
 			$x=$rowh["x"];
 			$y=$rowh["y"];
@@ -276,5 +277,5 @@
 				echo "onmouseover='parent.parent.showHighlight(".$x.",".$y.")' ";
 				echo "onmouseout='parent.parent.hideHighlight()";
-				echo "'>".$nr."</a>";
+				echo "'>".$hsnr."</a>";
 			echo "</td>";
 			$cnt++;
@@ -288,4 +289,70 @@
 		echo "\n</table>";
 		echo "\n<p class='hilfe'>".$cnt." Hausnummern</p>";
+
+		if($hausnummernohnegebaeude == 1){
+			#echo "Hausnummern ohne Geb&auml;ude:";
+			// Haeuser zum Strassenschluessel
+			$sql ="SELECT gml_id, replace (schriftinhalt, ' ','') AS hsnr, ";
+			if($epsg == "25832") { // Transform nicht notwendig
+				$sql.="x(wkb_geometry) AS x, ";
+				$sql.="y(wkb_geometry) AS y ";		
+			}
+			else {  
+				$sql.="x(st_transform(wkb_geometry), ".$epsg.")) AS x, ";
+				$sql.="y(st_transform(wkb_geometry), ".$epsg.")) AS y ";		
+			}		
+			$sql.="from ap_pto where ";
+			$sql.="gml_id IN (Select beziehung_von from alkis_beziehungen ";
+			$sql.="where beziehung_zu IN (";
+			$sql.="SELECT ";
+			$sql.="gml_id ";
+			$sql.="FROM ax_lagebezeichnungmithausnummer h ";
+			$sql.="WHERE h.land= $1 AND h.regierungsbezirk= $2 AND h.kreis= $3 ";
+			$sql.="AND h.gemeinde= $4 AND h.lage= $5 ";
+			$sql.="AND replace (h.hausnummer, ' ','') NOT IN (";
+			$sql.="SELECT replace (h.hausnummer, ' ','') AS hsnr ";
+			$sql.="FROM ax_lagebezeichnungmithausnummer h ";
+			$sql.="JOIN alkis_beziehungen v ON h.gml_id=v.beziehung_zu ";
+			$sql.="JOIN ax_gebaeude g ON v.beziehung_von=g.gml_id ";
+			$sql.="WHERE h.land= $6 AND ";
+			$sql.="h.regierungsbezirk= $7 AND h.kreis= $8 AND h.gemeinde= $9 AND ";
+			$sql.=" h.lage= $10 ";
+			$sql.="AND v.beziehungsart='zeigtAuf' ";
+			$sql.=") ORDER BY lpad(split_part(h.hausnummer,' ',1), 4, '0'), split_part(h.hausnummer,' ',2) ";
+			$sql.=")) order by lpad(split_part(schriftinhalt,' ',1), 4, '0'), split_part(schriftinhalt,' ',2);";
+			$vw=array($land,$regb,$kreis,$gemnd,$nr,$land,$regb,$kreis,$gemnd,$nr);
+			#echo "SQL: ".$land." ".$regb." ".$kreis." ".$gemnd." ".$nr;
+			$resho=pg_prepare("", $sql);
+			$resho=pg_execute("", $vw);
+			$cnt=0;
+			$count=0;
+			#echo $sql;
+			echo "\n<table>";
+			// mehrere Hausnummern je Zeile ausgeben
+			while($rowh = pg_fetch_array($resho)) {
+				if($count == 0){echo "\n<tr>";}
+				$gml=$rowh["gml_id"];			
+				$nr=$rowh["hsnr"];			
+				$x=$rowh["x"];
+				$y=$rowh["y"];
+				echo "\n\t<td class='hsnr'>";
+					echo "<a href='";
+						echo "javascript:parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalehs."); ";
+						echo "parent.parent.showHighlight(".$x.",".$y.");' ";
+					echo "onmouseover='parent.parent.showHighlight(".$x.",".$y.")' ";
+					echo "onmouseout='parent.parent.hideHighlight()";
+					echo "'>".$nr."</a>";
+				echo "</td>";
+				$cnt++;
+				$count++;
+				if($count == 6) {
+					echo "\n</tr>";
+					$count = 0;
+				}
+			}
+			if($count > 0) {echo "\n</tr>";}
+			echo "\n</table>";
+			if($cnt > 0) {echo "\n<p class='hilfe'>".$cnt." Hausnummern ohne Geb&auml;ude</p>";}
+		}
 	} else {
 		echo "\n<p class='err'>Keine Stra&szlig;e.</p>";